        -- создана Русланом Гюльмагомедовым
require "import"
import "com.androlua.*"
import "android.content.Intent"
import "android.net.Uri"

this.speak("Проверка обновлений...")
url = "https://poretsky.github.io/android/smartvoice/index-ru.html"
Http.get(url, function(status, data)
    if status == 200 then
local av = data:match("<strong>([%d%.]+)</strong>")
local releaseDate = data:match("<strong>([%d%-]+)</strong>")
        local packageManager = this.getPackageManager()
        local packageName = "tts.smartvoice"
        local packageInfo = nil
        pcall(function()
            packageInfo = packageManager.getPackageInfo(packageName, 0)
        end)
        if packageInfo then
            local cv = packageInfo.versionName
            if av > cv then
                local readme = LuaDialog(this)
                readme.setTitle("Доступно обновление")
                readme.setMessage("Доступна новая версия SmartVoice: "..av..".\nДата выпуска: "..releaseDate..".")
                readme.setButton2("Отмена", function()
                    readme.dismiss()
                end)
                readme.setButton("Скачать", function()
                    local downloadUrl = "https://github.com/poretsky/poretsky.github.io/releases/download/android/SmartVoice-"..av..".apk"
                    this.startActivity(Intent(Intent.ACTION_VIEW, Uri.parse(downloadUrl)))
                end)
                readme.show()
            else
                this.speak("Обновление не найдено!")
            end
        else
            print("приложение SmartVoice не установлено. чтобы использовать плагин, установите приложение из сайта")
            print("https://poretsky.github.io/android/smartvoice/index-ru.html")
            print(".")
            print("Вы также можете присоединиться к нашим русскоязычным telegram каналам и группам:")
            print("https://t.me/addlist/ziIruC3_2WVjYWFi")
        end
    else
        this.speak("Ошибка соединения :-(")
    end
end)